## imcode.server.document
Class CategoryTypeDomainObject

    java.lang.Object
      imcode.server.document.CategoryTypeDomainObject

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class CategoryTypeDomainObject

extends java.lang.Object
implements java.lang.Comparable, java.io.Serializable

Author:
  kreiger
See Also:
  Serialized Form

Constructor Summary
`CategoryTypeDomainObject(int id, java.lang.String name, int maxChoices, boolean inherited)`

Method Summary
`int` `compareTo(java.lang.Object o)`
`boolean` `equals(java.lang.Object o)`
`int` `getId()`
`int` `getMaxChoices()`
`java.lang.String` `getName()`
`int` `hashCode()`
`boolean` `hasImages()`
`boolean` `isInherited()`
`void` `setInherited(boolean inherited)`
`void` `setMaxChoices(int maxChoices)`
`void` `setName(java.lang.String name)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CategoryTypeDomainObject

    public CategoryTypeDomainObject(int id,
                                    java.lang.String name,
                                    int maxChoices,
                                    boolean inherited)

Method Detail

### getId

    public int getId()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### setMaxChoices

    public void setMaxChoices(int maxChoices)

### getMaxChoices

    public int getMaxChoices()

### isInherited

    public boolean isInherited()

### setInherited

    public void setInherited(boolean inherited)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### hasImages

    public boolean hasImages()